osg::NodeVisitor::ImageRequestHandler Class Referenceabstract

`#include <NodeVisitor>`

Inheritance diagram for osg::NodeVisitor::ImageRequestHandler:

## Public Member Functions

| ImageRequestHandler ()
virtual double | getPreLoadTime () const =0
virtual osg::ref_ptr< osg::Image > | readRefImageFile (const std::string &fileName, const osg::Referenced *options=0)=0
virtual void | requestImageFile (const std::string &fileName, osg::Object *attachmentPoint, int attachmentIndex, double timeToMergeBy, const FrameStamp *framestamp, osg::ref_ptr< osg::Referenced > &imageRequest, const osg::Referenced *options=0)=0
Public Member Functions inherited from osg::Referenced
| Referenced ()
| Referenced (bool threadSafeRefUnref)
| Referenced (const Referenced &)
Referenced & | operator= (const Referenced &)
virtual void | setThreadSafeRefUnref (bool)
bool | getThreadSafeRefUnref () const
OpenThreads::Mutex * | getRefMutex () const
int | ref () const
int | unref () const
int | unref_nodelete () const
int | referenceCount () const
ObserverSet * | getObserverSet () const
ObserverSet * | getOrCreateObserverSet () const
void | addObserver (Observer *observer) const
void | removeObserver (Observer *observer) const

## Protected Member Functions

virtual | ~ImageRequestHandler ()
Protected Member Functions inherited from osg::Referenced
virtual | ~Referenced ()
void | signalObserversAndDelete (bool signalDelete, bool doDelete) const
void | deleteUsingDeleteHandler () const

## Additional Inherited Members

Static Public Member Functions inherited from osg::Referenced
static OpenThreads::Mutex * | getGlobalReferencedMutex ()
static void | setDeleteHandler (DeleteHandler *handler)
static DeleteHandler * | getDeleteHandler ()
Protected Attributes inherited from osg::Referenced
OpenThreads::AtomicPtr | _observerSet
OpenThreads::Atomic | _refCount

## Detailed Description

Callback for managing image paging, such as generated by PagedLOD nodes.

## Constructor & Destructor Documentation

## ImageRequestHandler()

osg::NodeVisitor::ImageRequestHandler::ImageRequestHandler | ( |  | ) |

inline

References osg::Referenced::Referenced().

## ~ImageRequestHandler()

virtual osg::NodeVisitor::ImageRequestHandler::~ImageRequestHandler | ( |  | ) |

inline protected virtual

## Member Function Documentation

## getPreLoadTime()

virtual double osg::NodeVisitor::ImageRequestHandler::getPreLoadTime | ( |  | ) | const

pure virtual

Implemented in osgDB::ImagePager.

## readRefImageFile()

virtual osg::ref_ptr< osg::Image > osg::NodeVisitor::ImageRequestHandler::readRefImageFile | ( | const std::string & | fileName,
|  | const osg::Referenced * | options = 0 )

pure virtual

Implemented in osgDB::ImagePager.

## requestImageFile()

virtual void osg::NodeVisitor::ImageRequestHandler::requestImageFile | ( | const std::string & | fileName,
|  | osg::Object * | attachmentPoint,
|  | int | attachmentIndex,
|  | double | timeToMergeBy,
|  | const FrameStamp * | framestamp,
|  | osg::ref_ptr< osg::Referenced > & | imageRequest,
|  | const osg::Referenced * | options = 0 )

pure virtual

Implemented in osgDB::ImagePager.

The documentation for this class was generated from the following file:

- NodeVisitor